Introduction The IBM Watson™ Assistant service combines machine learning, natural language understanding, and an integrated dialog editor to create conversation flows between your apps and your users. The Assistant v1 API provides authoring methods your application can use to create or update a workspace. This documentation describes Java SDK major version 9. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/java-sdk/blob/master/MIGRATION-V9.md. This documentation describes Node SDK major version 6. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/node-sdk/blob/master/MIGRATION-V6.md. This documentation describes Python SDK major version 5. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/python-sdk/blob/master/MIGRATION-V5.md. This documentation describes Ruby SDK major version 2. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/ruby-sdk/blob/master/MIGRATION-V2.md. This documentation describes .NET Standard SDK major version 5. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/dotnet-standard-sdk/blob/master/MIGRATION-V5.md. This documentation describes Go SDK major version 2. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/go-sdk/blob/master/MIGRATION-V2.md. This documentation describes Swift SDK major version 4. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/swift-sdk/blob/master/MIGRATION-V4.md. This documentation describes Unity SDK major version 5. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/unity-sdk/blob/master/MIGRATION-v5.md. For runtime methods that are used by a client application to send user input to an assistant, use the v2 APIassistant-v2. For runtime methods that are used by a client application to send user input to an assistant, use the v2 APIassistant-v2-java. For runtime methods that are used by a client application to send user input to an assistant, use the v2 APIassistant-v2-node. For runtime methods that are used by a client application to send user input to an assistant, use the v2 API referenceassistant-v2-python. For runtime methods that are used by a client application to send user input to an assistant, use the v2 APIassistant-v2-ruby. For runtime methods that are used by a client application to send user input to an assistant, use the v2 APIassistant-v2-go. For runtime methods that are used by a client application to send user input to an assistant, use the v2 APIassistant-v2-swift. For runtime methods that are used by a client application to send user input to an assistant, use the v2 APIassistant-v2-dotnet-standard. For runtime methods that are used by a client application to send user input to an assistant, use the v2 APIassistant-v2-unity. The code examples on this tab use the client library that is provided for Java. Maven xml Method Path Summary POST /v1/workspaces/{workspace_id}/message Get response to user input POST /v1/workspaces/{workspace_id}/bulk_classify Identify intents and entities in multiple user utterances GET /v1/workspaces List workspaces POST /v1/workspaces Create workspace GET /v1/workspaces/{workspace_id} Get information about a workspace POST /v1/workspaces/{workspace_id} Update workspace DELETE /v1/workspaces/{workspace_id} Delete workspace POST /v1/workspaces_async Create workspace asynchronously POST /v1/workspaces_async/{workspace_id} Update workspace asynchronously GET /v1/workspaces_async/{workspace_id}/export Export workspace asynchronously GET /v1/workspaces/{workspace_id}/intents List intents POST /v1/workspaces/{workspace_id}/intents Create intent GET /v1/workspaces/{workspace_id}/intents/{intent} Get intent POST /v1/workspaces/{workspace_id}/intents/{intent} Update intent DELETE /v1/workspaces/{workspace_id}/intents/{intent} Delete intent GET /v1/workspaces/{workspace_id}/intents/{intent}/examples List user input examples POST /v1/workspaces/{workspace_id}/intents/{intent}/examples Create user input example GET /v1/workspaces/{workspace_id}/intents/{intent}/examples/{text} Get user input example POST /v1/workspaces/{workspace_id}/intents/{intent}/examples/{text} Update user input example DELETE /v1/workspaces/{workspace_id}/intents/{intent}/examples/{text} Delete user input example GET /v1/workspaces/{workspace_id}/counterexamples List counterexamples POST /v1/workspaces/{workspace_id}/counterexamples Create counterexample GET /v1/workspaces/{workspace_id}/counterexamples/{text} Get counterexample POST /v1/workspaces/{workspace_id}/counterexamples/{text} Update counterexample DELETE /v1/workspaces/{workspace_id}/counterexamples/{text} Delete counterexample GET /v1/workspaces/{workspace_id}/entities List entities POST /v1/workspaces/{workspace_id}/entities Create entity GET /v1/workspaces/{workspace_id}/entities/{entity} Get entity POST /v1/workspaces/{workspace_id}/entities/{entity} Update entity DELETE /v1/workspaces/{workspace_id}/entities/{entity} Delete entity GET /v1/workspaces/{workspace_id}/entities/{entity}/mentions List entity mentions GET /v1/workspaces/{workspace_id}/entities/{entity}/values List entity values POST /v1/workspaces/{workspace_id}/entities/{entity}/values Create entity value GET /v1/workspaces/{workspace_id}/entities/{entity}/values/{value} Get entity value POST /v1/workspaces/{workspace_id}/entities/{entity}/values/{value} Update entity value DELETE /v1/workspaces/{workspace_id}/entities/{entity}/values/{value} Delete entity value GET /v1/workspaces/{workspace_id}/entities/{entity}/values/{value}/synonyms List entity value synonyms POST /v1/workspaces/{workspace_id}/entities/{entity}/values/{value}/synonyms Create entity value synonym GET /v1/workspaces/{workspace_id}/entities/{entity}/values/{value}/synonyms/{synonym} Get entity value synonym POST /v1/workspaces/{workspace_id}/entities/{entity}/values/{value}/synonyms/{synonym} Update entity value synonym DELETE /v1/workspaces/{workspace_id}/entities/{entity}/values/{value}/synonyms/{synonym} Delete entity value synonym GET /v1/workspaces/{workspace_id}/dialog_nodes List dialog nodes POST /v1/workspaces/{workspace_id}/dialog_nodes Create dialog node GET /v1/workspaces/{workspace_id}/dialog_nodes/{dialog_node} Get dialog node POST /v1/workspaces/{workspace_id}/dialog_nodes/{dialog_node} Update dialog node DELETE /v1/workspaces/{workspace_id}/dialog_nodes/{dialog_node} Delete dialog node GET /v1/workspaces/{workspace_id}/logs List log events in a workspace GET /v1/logs List log events in all workspaces DELETE /v1/user_data Delete labeled data